## com.google.appengine.api.oauth
Class OAuthServiceFailureException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.google.appengine.api.oauth.OAuthServiceFailureException

All Implemented Interfaces:
  java.io.Serializable

    public class OAuthServiceFailureException

extends java.lang.RuntimeException

`OAuthServiceFailureException` is thrown when any unknown error occurs while communicating with the OAuth service.

See Also:
  Serialized Form

Constructor Summary
`OAuthServiceFailureException(java.lang.String message)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OAuthServiceFailureException

    public OAuthServiceFailureException(java.lang.String message)